#!/bin/sh
NAME=entware
APKG_PATH="/usr/local/AppCentral/${NAME}"

echo "pre-install"

if [ -e /usr/local/AppCentral/entware-ng ] ; then
	/usr/sbin/syslog --log 0 --level 2 --user admin --event "Please un-install entware-ng before installing new Entware"
	exit 1
fi
if [ -e /usr/local/AppCentral/optware  ] ; then
        syslog -g 0 -l 2 --user admin --event "ERROR Optware or astware exist ... please delete it then restart install of Entware"
        exit 1
fi
if [ "$APKG_PKG_STATUS" = "upgrade" ] ; then
	/usr/sbin/syslog --log 0 --level 0 --user admin --event "Upgrade of  Entware"
	## save opt
	if [ ! -e /usr/local/AppCentral/.save_entware ] ; then
		mkdir /usr/local/AppCentral/.save_entware
	fi
	mv /usr/local/AppCentral/entware/opt /usr/local/AppCentral/.save_entware/
	mkdir /usr/local/AppCentral/entware/opt
else
	/usr/sbin/syslog --log 0 --level 0 --user admin --event "Install of  ${NAME}"
fi
if [ -e /tmp/${NAME}_start.log ] ; then
	rm -f /tmp/${NAME}_start.log
fi

