#!/bin/sh

echo "post-install"
NAME=entware
APKG_PATH="/usr/local/AppCentral/${NAME}"

echo "post_install start" >> /tmp/entware-ng_start.log 
if [ "$APKG_PKG_STATUS" = "upgrade" ] ; then
	rm -rf ${APKG_PATH}/opt
	mv /usr/local/AppCentral/.save_entware/opt ${APKG_PATH}/opt
	rmdir /usr/local/AppCentral/.save_entware
	syslog -g 0 -l 0 --user admin --event "Entware use PREVIOUS but force update/upgrade"
fi
rm -rf /tmp/entware_ready 

export PATH=/opt/bin/:/opt/sbin/:/bin:/sbin:/usr/bin:/usr/sbin:/usr/builtin/bin:/usr/builtin/sbin:/usr/local/bin:/usr/local/sbin

echo "end of post-install " >> /tmp/${NAME}_start.log

